---

stages:
  - linting
  - test

variables:
  MARKDOWN_PATH_EXCLUSION: ''
  MARKDOWN_OPTIONS: ''

markdown:
  stage: linting
  image:
    name: ghcr.io/igorshubovych/markdownlint-cli:master
  script:
    - |
      if [ -z "$MARKDOWN_PATH_EXCLUSION" ]
      then
        markdownlint $MARKDOWN_OPTIONS .
      else
        markdownlint --ignore "$MARKDOWN_PATH_EXCLUSION" $MARKDOWN_OPTIONS .
      fi
  rules:
    - if: '$MARKDOWN_CHECK_DISABLED || $JOBS_DISABLED'
      when: never
    - if: $CI_MERGE_REQUEST_ID
      when: never
    - when: on_success
